## com.sun.jna.platform.win32
Class DsGetDC

    java.lang.Object
      com.sun.jna.platform.win32.DsGetDC

    public abstract class DsGetDC

extends java.lang.Object

Ported from DsGetDC.h. Windows SDK 6.0a

Nested Class Summary
`static class` `DsGetDC.DOMAIN_CONTROLLER_INFO` The DOMAIN_CONTROLLER_INFO structure is used with the DsGetDcName function to receive data about a domain controller.
`static class` `DsGetDC.DS_DOMAIN_TRUSTS` The DS_DOMAIN_TRUSTS structure is used with the DsEnumerateDomainTrusts function to contain trust data for a domain.
`static class` `DsGetDC.PDOMAIN_CONTROLLER_INFO` Pointer to DOMAIN_CONTROLLER_INFO.
`static class` `DsGetDC.PDS_DOMAIN_TRUSTS` A pointer to an array of DS_DOMAIN_TRUSTS.

Field Summary
`static int` `DS_DOMAIN_DIRECT_INBOUND` Domain is directly trusting.
`static int` `DS_DOMAIN_DIRECT_OUTBOUND` Domain is directly trusted.
`static int` `DS_DOMAIN_IN_FOREST` Domain is a member of the forest.
`static int` `DS_DOMAIN_NATIVE_MODE` Primary domain is running in native mode.
`static int` `DS_DOMAIN_PRIMARY` Domain is the primary domain of queried server.
`static int` `DS_DOMAIN_TREE_ROOT` Domain is root of a tree in the forest.
`static int` `DS_DOMAIN_VALID_FLAGS` Valid domain flags.

Constructor Summary
`DsGetDC()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DS_DOMAIN_IN_FOREST

    public static final int DS_DOMAIN_IN_FOREST

  Domain is a member of the forest.

  See Also:
    Constant Field Values

### DS_DOMAIN_DIRECT_OUTBOUND

    public static final int DS_DOMAIN_DIRECT_OUTBOUND

  Domain is directly trusted.

  See Also:
    Constant Field Values

### DS_DOMAIN_TREE_ROOT

    public static final int DS_DOMAIN_TREE_ROOT

  Domain is root of a tree in the forest.

  See Also:
    Constant Field Values

### DS_DOMAIN_PRIMARY

    public static final int DS_DOMAIN_PRIMARY

  Domain is the primary domain of queried server.

  See Also:
    Constant Field Values

### DS_DOMAIN_NATIVE_MODE

    public static final int DS_DOMAIN_NATIVE_MODE

  Primary domain is running in native mode.

  See Also:
    Constant Field Values

### DS_DOMAIN_DIRECT_INBOUND

    public static final int DS_DOMAIN_DIRECT_INBOUND

  Domain is directly trusting.

  See Also:
    Constant Field Values

### DS_DOMAIN_VALID_FLAGS

    public static final int DS_DOMAIN_VALID_FLAGS

  Valid domain flags.

  See Also:
    Constant Field Values

Constructor Detail

### DsGetDC

    public DsGetDC()